// This file is part of the Coral project.
// Please read the copyright notice in the LICENSE file.

#include "ref_counted.h"

namespace coral {
	void ref_counted::unref() const throw () {
		coral_assert(this->refcount > 0);	
		--this->refcount;
		if (!this->refcount) delete this;
	}
}
